<?php

/* 

Darken v1.0 theme for PHP-Fusion v7.00+
Author: Nick "Digitanium" Jones (http://www.php-fusion.co.uk/)
Conversion to v7 by: Kenneth Boldt (http://php-fusion.boldt.me/)
Released under the Affero GPLv3

*/ 

if (!defined("IN_FUSION")) { die("Access Denied"); }
define("THEME_BULLET", "<img src='".THEME."images/bullet.gif' alt='' style='border:0' />");
require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {

global $theme_width,$settings,$locale;

echo "<table align='center' cellspacing='0' cellpadding='0' id='main'>
    <tr>
        <td>
            <table width='100%' cellspacing='0' cellpadding='0'>
                <tr>
                    <td class='full-header' style='padding:5px;'>
                        <table width='100%' cellspacing='0' cellpadding='0'>
                            <tr>
                                <td>".showbanners()."</td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>

            <table width='100%' cellspacing='0' cellpadding='0'>
                <tr>
                    <td class='white-header'>".showsublinks(" <span class='bullet'>&middot;</span> ", "white")."</td>
                    <td align='right' class='white-header'>".showsubdate()."</td>
                </tr>
            </table>

            <table width='100%' cellspacing='0' cellpadding='0'>
                <tr>\n";
					if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
					echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
					if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
				echo "
                </tr>
            </table>

            <table cellpadding='0' cellspacing='0' width='100%'>
                <tr>
                    <td class='white-header'>".stripslashes($settings['footer'])."</td>
                </tr>
            </table>
            <table cellpadding='0' cellspacing='0' width='100%'>
                <tr>
                    <td align='center' class='full-header'><br />\n";
						echo "Darken theme originally by <a href='http://www.php-fusion.co.uk' target='_blank'>Digitanium</a>. Converted to PHP-Fusion v7 by <a href='http://php-fusion.boldt.me' target='_blank'>Kenneth</a>.<br /><br />";
                        if ($license == false) {
                        	echo showcopyright()."<br /><br />";
                        }
                        echo showcounter()."
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>\n";
}


function render_news($subject, $news, $info) {

global $locale;

echo "<table width='100%' cellpadding='0' cellspacing='0' class='border tablebreak'>
    <tr>
        <td>
            <table width='100%' cellpadding='0' cellspacing='0'>
                <tr>
                    <td class='capmain'>$subject</td>
                </tr>
                <tr>
                    <td class='main-body'>
                        $news
                    </td>
                </tr>
                <tr>
                    <td align='right' class='news-footer'>".
						newsposter($info, THEME_BULLET).newsopts($info, THEME_BULLET).itemoptions("N",$info['news_id'])."
					</td>
                </tr>
            </table>
        </td>
    </tr>
</table>\n";

}

function render_article($subject, $article, $info) {

global $locale;

echo "
<table width='100%' cellpadding='0' cellspacing='0' class='border tablebreak'>
    <tr>
        <td>
            <table width='100%' cellpadding='0' cellspacing='0'>
                <tr>
                    <td class='capmain'>$subject</td>
                </tr>
                <tr>
                    <td class='main-body'>
                        ".($info['article_breaks'] == "y" ? nl2br($article) : $article)."
                    </td>
                </tr>
                <tr>
                    <td align='right' class='news-footer'>".
						articleposter($info, THEME_BULLET).articleopts($info, THEME_BULLET).itemoptions("A",$info['article_id'])."
					</td>
                </tr>
            </table>
        </td>
    </tr>
</table>\n";

}

function opentable($title) {

echo "<table width='100%' cellpadding='0' cellspacing='0' class='border tablebreak'>
    <tr>
        <td>
            <table width='100%' cellpadding='0' cellspacing='0'>
                <tr>
                    <td class='capmain'>$title</td>
                </tr>
                <tr>
                    <td class='main-body'>\n";

            }

function closetable() {

            echo "
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

global $panel_collapse; $panel_collapse = $collapse;
$boxname = str_replace(" ", "", $title);

echo "<table width='100%' cellpadding='0' cellspacing='0' class='border tablebreak'>
    <tr>
        <td>
            <table width='100%' cellpadding='0' cellspacing='0'>
                <tr>
                    <td class='scapmain'>$title</td>
                    ".($collapse ? "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>" : "")."
                </tr>
                <tr>
                    <td colspan='2' class='side-body'>";
                        if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {

global $panel_collapse;

echo "
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>\n";

}

?>
